Package org.drinkless.tdlib

# Class TdApi.JsonObjectMember

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.JsonObjectMember

Enclosing class:
  `TdApi`

public static class TdApi.JsonObjectMember extends TdApi.Object
Represents one member of a JSON object.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `key`
  Member's key.
  `TdApi.JsonValue`
  `value`
  Member's value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JsonObjectMember()`
  Represents one member of a JSON object.
  `JsonObjectMember(String key, TdApi.JsonValue value)`
  Represents one member of a JSON object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### key

    public String key
    Member's key.

  - ### value

    public TdApi.JsonValue value
    Member's value.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JsonObjectMember

    public JsonObjectMember()
    Represents one member of a JSON object.

  - ### JsonObjectMember

    public JsonObjectMember(String key, TdApi.JsonValue value)
    Represents one member of a JSON object.
    Parameters:
      `key` - Member's key.
      `value` - Member's value.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR